org.apache.felix.resolver.util

## Class OpenHashMap.AbstractObjectSet<K>

- java.lang.Object
- - java.util.AbstractCollection<K>
  - - org.apache.felix.resolver.util.OpenHashMap.AbstractObjectCollection<K>
    - - org.apache.felix.resolver.util.OpenHashMap.AbstractObjectSet<K>

All Implemented Interfaces:
  Cloneable, Iterable<K>, Collection<K>

Enclosing class:
  OpenHashMap<K,V>

    public abstract static class OpenHashMap.AbstractObjectSet<K>
    extends OpenHashMap.AbstractObjectCollection<K>
    implements Cloneable

### Constructor Summary

Constructors
Constructor and Description
`AbstractObjectSet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`

### Methods inherited from class org.apache.felix.resolver.util.OpenHashMap.AbstractObjectCollection

`add, addAll, containsAll, isEmpty, removeAll, retainAll, toArray, toArray, toString`

### Methods inherited from class java.util.AbstractCollection

`clear, contains, iterator, remove, size`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, spliterator, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Constructor Detail

#### AbstractObjectSet

    public AbstractObjectSet()

### Method Detail

#### equals

    public boolean equals(Object o)

Specified by:
  `equals` in interface `Collection<K>`
Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `Collection<K>`
Overrides:
  `hashCode` in class `Object`